Bug 139186 - Some ogg files don't show duration time
Some ogg files don't show duration time
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 14:54 EST by Santiago Erquicia
Modified: 2013-03-13 00:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:32:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rhythmbox screenshot (115.76 KB, image/png)
2004-11-13 14:54 EST, Santiago Erquicia
no flags Details
Nautilus screenshot (38.44 KB, image/png)
2004-11-13 14:55 EST, Santiago Erquicia
no flags Details
Helix Player screenshot (14.97 KB, image/png)
2004-11-13 14:56 EST, Santiago Erquicia
no flags Details

  None (edit)
Description Santiago Erquicia 2004-11-13 14:54:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Some of my ogg files don't show the duration in rhythmbox.  I tried to
use nautilus to see under the audio properties and it shows weird
durations.  

The most weird thing is that Helix Player doesn't have any problem to
show the duration of the same song.

I'm going to attach the screenshots of each one.

Version-Release number of selected component (if applicable):
0.8.8-1

How reproducible:
Always

Steps to Reproduce:
1. Get one of my files
2. Open it in rythmbox / nautilus / Helix Player
3. Compare results
    

Actual Results:  Only Helix Player gets the duration of the song

Expected Results:  Every application shows the duration of the song

Additional info:

This ogg files were created a long time ago.  I don't even remember
what program I used.

The files are on a vfat partition
Comment 1 Santiago Erquicia 2004-11-13 14:54:57 EST
Created attachment 106646 [details]
Rhythmbox screenshot
Comment 2 Santiago Erquicia 2004-11-13 14:55:55 EST
Created attachment 106647 [details]
Nautilus screenshot
Comment 3 Santiago Erquicia 2004-11-13 14:56:17 EST
Created attachment 106648 [details]
Helix Player screenshot
Comment 4 Santiago Erquicia 2004-11-13 15:08:11 EST
Here is the output of ogginfo.  It looks like the files have some
problems but even in that case the duration is there.

[santiago@pampa Flickering Flame]$ ogginfo ./Roger\ Waters\ -\ 5.06am\
\(every\ Stranger\'s\ Eye\).OGG
Processing file "./Roger Waters - 5.06am (every Stranger's Eye).OGG"...

New logical stream (#1, serial: 05673ea3): type vorbis
Vorbis headers parsed for stream 1, information follows...
Version: 0
Vendor: Xiph.Org libVorbis I 20020717 (1.0)
Channels: 2
Rate: 44100

Nominal bitrate: 112.001000 kb/s
Upper bitrate not set
Lower bitrate not set
User comments section follows...
        ALBUM=Flickering Flame
        ARTIST=Roger Waters
        DATE=1900
        DESCRIPTION=
        GENRE=
        TITLE=5.06am (every Stranger's Eye)
        TRACKNUMBER=6
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Negative granulepos on vorbis stream outside of headers. This file was
created by a buggy encoder
Vorbis stream 1:
        Total data length: 3878103 bytes
        Playback length: 4m:47s
        Average bitrate: 107.894918 kbps
Logical stream 1 ended
Comment 5 Matthew Miller 2006-07-10 17:19:59 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 17:32:42 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.